StringDataBinding (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.bdbn.StringDataBinding class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdbn
Class StringDataBinding

    java.lang.Object
      org.codehaus.activemq.store.bdbn.StringDataBinding

All Implemented Interfaces:
  com.sleepycat.bdb.bind.DataBinding

public class StringDataBinding
extends Object
implements com.sleepycat.bdb.bind.DataBinding

A DataBinding for a simple String serialiation

Version:
  $Revision: 1.1 $

Constructor Summary
`StringDataBinding()`

Method Summary
`Object` | `dataToObject(com.sleepycat.bdb.bind.DataBuffer buffer)`
`com.sleepycat.bdb.bind.DataFormat` | `getDataFormat()`
`void` | `objectToData(Object object, com.sleepycat.bdb.bind.DataBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDataBinding

    public StringDataBinding()

Method Detail

### dataToObject

    public Object dataToObject(com.sleepycat.bdb.bind.DataBuffer buffer)
                        throws IOException

  Specified by:
    `dataToObject` in interface `com.sleepycat.bdb.bind.DataBinding`
  Throws:
    `IOException`

### objectToData

    public void objectToData(Object object,
                             com.sleepycat.bdb.bind.DataBuffer buffer)
                      throws IOException

  Specified by:
    `objectToData` in interface `com.sleepycat.bdb.bind.DataBinding`
  Throws:
    `IOException`

### getDataFormat

    public com.sleepycat.bdb.bind.DataFormat getDataFormat()

  Specified by:
    `getDataFormat` in interface `com.sleepycat.bdb.bind.DataBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.